Loading...
Searching...
No Matches
unicode.cpp File Reference
`#include "ada/unicode.h"`
`#include "ada/character_sets-inl.h"`
`#include "ada/character_sets.h"`
`#include "ada/common_defs.h"`
`#include "ada/log.h"`
`#include "ada_idna.cpp"`
`#include <algorithm>`
`#include <ranges>`

Go to the source code of this file.

## Namespaces

namespace | ada
namespace | ada::unicode
| Includes the declarations for unicode operations.

## Functions

constexpr bool | ada::unicode::is_tabs_or_newline (char c) noexcept
constexpr uint64_t | ada::unicode::broadcast (uint8_t v) noexcept

## Variables

static constexpr std::array< uint8_t, 256 > | ada::unicode::is_forbidden_host_code_point_table
static constexpr std::array< uint8_t, 256 > | ada::unicode::is_forbidden_domain_code_point_table
static constexpr std::array< uint8_t, 256 > | ada::unicode::is_forbidden_domain_code_point_table_or_upper
static constexpr std::array< bool, 256 > | ada::unicode::is_alnum_plus_table
constexpr std::string_view | ada::unicode::table_is_double_dot_path_segment []
static constexpr char | ada::unicode::hex_to_binary_table []